%define libname lib%name
%define _optlevel 3

%def_disable static
%set_verify_elf_method unresolved=relaxed,textrel=relaxed

%define major 4
%define minor 2
%define bugfix 1
Name: allegro
Version: %major.%minor.%bugfix
Release: alt2

Group: System/Libraries
Summary: Game programming library
License: Giftware 
URL: http://alleg.sourceforge.net
Packager: Pavlov Konstantin <thresh@altlinux.ru>

Source0: http://sunsite.auc.dk/allegro/%name-%version.tar
Patch0: allegro-4.0.1-allegro.h.patch
Patch1: allegro-4.1.8-allegro.h.patch

Obsoletes: %name
Provides: %name = %version-%release
Conflicts: %libname-svgalib < %version-%release

BuildRequires: esound-devel gcc-c++ glib2-devel libalsa-devel 
BuildRequires: libarts-devel libaudiofile-devel pkgconfig
BuildRequires: xorg-x11-devel

%package -n %libname
Group: System/Libraries
Summary: Game programming library
Requires: %libname = %version-%release

%package -n %libname-esound
Group: System/Libraries
Summary: esound plugins for %libname
Requires: %libname = %version-%release

%package -n %libname-arts
Group: System/Libraries
Summary: Game programming library
Requires: %libname = %version-%release

%package -n %libname-devel
Group: Development/C
Summary: Game programming library development files
Requires: %libname = %version-%release
Provides: allegro-devel = %version-%release
Obsoletes: allegro-devel

%if_enabled static
%package -n %libname-devel-static
Group: Development/C
Summary: Game programming library static development files
Requires: %libname-devel = %version-%release
%endif

%description
Allegro is a library of functions for use in computer games.

%description -n %libname
Allegro is a library of functions for use in computer games.

%description -n %libname-esound
esound plugins for %libname

%description -n %libname-arts
arts plugins for %libname

%description -n %libname-devel
Allegro is a library of functions for use in computer games.

This package contains files needed to build programs using Allegro.

%if_enabled static
%description -n %libname-devel-static
Allegro is a library of functions for use in computer games.

This package contains files needed to build programs using Allegro.
%endif

%prep
%setup -q -n allegro-%version

%build
%configure \
	--enable-fbcon=no \
	--enable-shared \
	%{subst_enable static} \
	--enable-sse=no \
	--enable-linux=no \
	--enable-asm=no \
	--enable-mmx=no \
	--enable-modules=yes \
	--enable-esddigi=yes \
	--enable-alsadigi=yes \
	--enable-artsdigi=yes \
	--enable-ossdigi=yes \
	--enable-alsamidi=yes \
	--enable-svgalib=no

%make

%install
%makeinstall modulebasedir=%buildroot/%_libdir/allegro
ln -s liballeg-%major.%minor.%bugfix.so %buildroot/%_libdir/liballeg.so

mkdir -p %buildroot%_datadir/doc/%name-devel-%version

%post -n %libname
%post_ldconfig

%postun -n %libname
%postun_ldconfig

%files -n %libname
%doc readme.txt
%dir %_libdir/allegro/%major.%minor.%bugfix
%_libdir/*.so*
%_libdir/allegro/%major.%minor.%bugfix/alleg-dga2.so
%_libdir/allegro/%major.%minor.%bugfix/modules.lst
%_libdir/allegro/%major.%minor.%bugfix/alleg-alsadigi.so
%_libdir/allegro/%major.%minor.%bugfix/alleg-alsamidi.so
%_libdir/allegro/%major.%minor.%bugfix/alleg-jackdigi.so

%files -n %libname-arts
%_libdir/allegro/%major.%minor.%bugfix/alleg-artsdigi.so

%files -n %libname-esound
%_libdir/allegro/%major.%minor.%bugfix/alleg-esddigi.so

%files -n %libname-devel
%doc docs/txt/*
%_bindir/*
%_includedir/*
%_datadir/aclocal/allegro.m4
%_libdir/liballeg_unsharable.a

%if_enabled static
%files -n %libname-devel-static
%_libdir/*.a
%exclude %_libdir/liballeg_unsharable.a
%endif

%changelog
* Tue Apr 10 2007 Pavlov Konstantin <thresh@altlinux.ru> 4.2.1-alt2
- Disabling asm && mmx, as it breaks binary compatibility and moves
  many-many symbols to unsharable.a library.

* Fri Jan 05 2007 Pavlov Konstantin <thresh@altlinux.ru> 4.2.1-alt1
- 4.2.1 release.
- Enabling asm && mmx.
- Disabling building static library.
- unresolved=relaxed.

* Tue May 16 2006 Pavlov Konstantin <thresh@altlinux.ru> 4.2.0-alt1
- New version.

* Thu Apr 29 2004 Sergey V Turchin <zerg at altlinux dot org> 4.1.14-alt1
- new version

* Mon Apr 28 2003 Sergey V Turchin <zerg at altlinux dot ru> 4.0.3-alt1
- 4.0.3 final

* Mon Apr 07 2003 Sergey V Turchin <zerg at altlinux dot ru> 4.0.3-alt0.1.rc3
- new version

* Fri Feb 28 2003 Sergey V Turchin <zerg@altlinux.ru> 4.0.3-alt0.1.rc1
- new version

* Wed Dec 25 2002 Sergey V Turchin <zerg@altlinux.ru> 4.0.2-alt4
- rebuild without alsa1

* Wed Oct 16 2002 Sergey V Turchin <zerg@altlinux.ru> 4.0.2-alt3
- add missing files

* Wed Oct 16 2002 Sergey V Turchin <zerg@altlinux.ru> 4.0.2-alt2
- build with gcc3.2
- build without svgalib

* Fri Aug 16 2002 Sergey V Turchin <zerg@altlinux.ru> 4.0.2-alt1
- new version

* Fri Jun 07 2002 Konstantin Volckov <goldhead@altlinux.ru> 4.0.1-alt1
- 4.0.1
- Libification
- Removed ALSA modules to another subpackage

* Tue Mar 19 2002 Sergey V Turchin <zerg@altlinux.ru> 4.0.0-alt3
- add patch0 (from cooker)

* Mon Jan 21 2002 Sergey V Turchin <zerg@altlinux.ru> 4.0.0-alt2
- fix build

* Thu Dec 20 2001 Sergey V Turchin <zerg@altlinux.ru> 4.0.0-alt1
- new version

* Fri Jul 27 2001 Sergey V Turchin <zerg@altlinux.ru> 3.9.36-alt1
- build for ALT

* Mon May 14 2001 Lenny Cartier <lenny@mandrakesoft.com>  3.9.36-1mdk
- updated to 3.9.36

* Wed Feb 28 2001 Lenny Cartier <lenny@mandrakesoft.com>  3.9.34-1mdk
- updated by Vlatko Kosturjak <kost@linux-mandrake.com> 3.9.34-1mdk
	- support for new version
	- removed patch
- use egcs

* Thu Jan 04 2001 David BAUDENS <baudens@mandrakesoft.com> 3.9.33-3mdk
- ExcludeArch: PPC
- Fix devel description
- Spec clean up

* Thu Jan 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.9.33-2mdk
- rebuild

* Wed Sep 27 2000 Pixel <pixel@mandrakesoft.com> 3.9.33-1mdk
- initial spec
